{
	// Grab surface normal vectorField to the patch
	vectorField nf = 
		- mesh.Sf().boundaryField()[movingPatchID]
		/mesh.magSf().boundaryField()[movingPatchID];

	// Grab T wall, p wall, mDotGy wall, and the size of the boundaryPatch
	scalarField mDotGyw = mDotGface.boundaryField()[movingPatchID]& (-nf);

// Imposing fixedValues on the movingPatch: Z[j]
        std::stringstream sstrmZF;
   	for(int j=0; j<ne_mix; j++){	
        sstrmZF << "Z[" << mix.elementName(j) << "]";
	volScalarField& zField =
        const_cast<volScalarField&>
        (
            motionMesh.objectRegistry::lookupObject<volScalarField>
            (
                sstrmZF.str().c_str()
            )
        );
	sstrmZF.str("");
	// access the right patch of the moving mesh
    	fixedValueFvPatchScalarField& zMovingPatch =
        refCast<fixedValueFvPatchScalarField>
        (
            zField.boundaryFieldRef()[movingPatchID]
        );

	// update the gradient at the wall
	scalarField zPatchSize(zMovingPatch.size());
	scalarField Zsub = Z[j].boundaryField()[movingPatchID].patchInternalField();
	// updating BL values
if ( (!mutationBprime) | (BL.heatOn(runTime.value())!=1) )
	forAll (zPatchSize, i)
	{
        if ( (mDotGyw[i] <= 0) ) // (ZmassFlux[j].boundaryField()[movingPatchID][i]&(-nf[i]))) 
		{zMovingPatch[i] = p_Z0[j];}
	else {zMovingPatch[i] = Zsub[i];}
	}
else
	forAll (zPatchSize, patchI)
	{
 	zMovingPatch[patchI] = Z[j].boundaryField()[movingPatchID][patchI];
	}
}
}
