// semi-implicit resolution of the energy conservation equation ('non-conservative' - or developped - form)
    GammaHg	=	((hg*p*M)/(mu*R*Ta))*K;
    epsgRhogEg	=	(eps_g*rho_g*hg) - (eps_g*p); // NOTE: rhog, hg must be updated after advancing the chemistry!!

// global energy balance
            solve
            (
		rhoCp * (fvm::ddt(Ta) - fvm::div(mesh.phi(), Ta))		// storage - implicit in Ta, explicit in rhoCp - with mesh motion correction (ALE)
	        + pyrolysisEnergy				 		// storage (second part of the derivative - mass variation) - matrix mass loss - explicit
		+ h_c * (	(fvc::ddt(eps[fiberPhase])-fvc::div(mesh.phi(), eps[fiberPhase])) * rho[fiberPhase] 
			   + 	(fvc::ddt(eps[matrixPhase])-fvc::div(mesh.phi(), eps[matrixPhase])) * rho[matrixPhase]) // in-depth ablation - storage, solid recession	
		+ fvc::ddt(epsgRhogEg) -  fvc::div(mesh.phi(),epsgRhogEg) 	// gas storage - explicit
		- fvm::laplacian(k, Ta) 					// conduction - implicit in Ta, explicit in k
		- fvc::laplacian(GammaHg, p) 					// convection - explicit
		- Ediff 							// Energy transported by diffusion of the species - explicit: evaluated in YEqn.H
            ); 

/* print min and max temperatures in the terminal during the run */
	Info << "T in " << solidRegions[0].name() << ": max = " << max(Ta).value() << " / min = " << min(Ta).value() << endl;

// limiter on Tmin
// forAll(Ta, celli) {if (Ta[celli]<=BL.Tinf(runTime.value())) {Ta[celli]=BL.Tinf(runTime.value());}}
