// read and store the char-property table into the RAM for faster access
	Info << "Reading char properties" << nl; 

//	OFstream charredThermoOutputFile ("charredThermoOutputFile");  // opens an output file
	IFstream charredThermo ("constant/porousMat/char");  // opens an input file
	IFstream charredThermoTemp ("constant/porousMat/char");  // opens an input file
   
	if (charredThermo.good()==false) // checks the input file is opened
	{
	Info << "char data not found" << nl; 
	exit (1); // exits otherwise
	}

	Info << "The char table must have 9 columns: p, T, cp, h, ki, kj, kk, eps, alpha." << nl;
	int columnTableC=9; int rawTableC=0;
	scalar tempC, rawTableFracC, rawTableIntC;	int i_rawC=0;
	while(true)
		{
		charredThermoTemp >> tempC;
		if(charredThermoTemp.eof()==1){break;}
		i_rawC++;
		}
	rawTableFracC=modf(static_cast<scalar>(i_rawC) / static_cast<scalar>(columnTableC), &rawTableIntC);
	if (rawTableFracC!=0) {Info << "... and it does not seem to have 9 columns." << nl;
	Info << rawTableIntC << " lines and " << rawTableFracC * columnTableC << " 'scalar' have been read."<< nl;
	exit (1);}
	else {
	rawTableC = i_rawC / columnTableC;
	Info << "The char table has been read (" << rawTableC << " lines)."<< nl;}


	RectangularMatrix<scalar> charredThermoTable(rawTableC, columnTableC+1);
        for(int x=0;x<rawTableC;x++)
        {
  	for(int i=0;i<columnTableC;i++)
  	{
    	charredThermo >> charredThermoTable[x][i];
//    	charredThermoOutputFile << charredThermoTable[x][i] << "	";
     	}
// 	charredThermoOutputFile << nl;
	}


// We precompute and add the sensible enthalpy as a last column hs = int(cp(T)dT)
        charredThermoTable[0][9]=0;
	for(int x=1;x<rawTableV;x++)
        { charredThermoTable[x][9] += charredThermoTable[x-1][9]
					+ (charredThermoTable[x][2] + charredThermoTable[x-1][2])/2 
					* (charredThermoTable[x][1] - charredThermoTable[x-1][1]);
	}

// "charred" is an object of the class materialProperties, which handles the material properties interpolations when called
	materialProperties charred(charredThermoTable);

   Info << "The charred material properties have been read." << nl; 
//   Info << "Process killed after reading the  charred-material properties table." << nl; return (0);  // exits without error
// END OF THE IO TEST
