/**
@mainpage Mutation++

@tableofcontents

The Multicomponent Thermodynamic And Transport properties for
Ionized gases in C++ (Mutation++) library is designed to provided efficient 
algorithms for the computation of various properties important in the fields of
hypersonics and combustion Computational Fluid Dynamics (CFD) including:
- Thermodynamic properties
- Multicomponent transport properties
- Finite rate chemistry in thermal nonequilibrium
- A highly robust multiphase equilibrium solver

@section manual Manual

The Mutation++ manual is divided into the following sections:
- Section [Installation](@ref installation) describes the installation process including 
  how to verify a successful install
- Section [Input Files](@ref input_files) describes all of the different data files which
  are used in Mutation++
- Section [Tools](@ref tools) lists all of the available tools that come built-in to the 
  Mutation++ package
- Section [Examples](@ref examples) provides several example codes in both C++ and FORTRAN
  which demonstrate key features of the library
- Section [Bibliography](@ref citelist) lists all of the citations used throughout the manual
  and reference documentation

@section license Mutation++ License

Copyright 2014 von Karman Institute for Fluid Dynamics (VKI)

Mutation++ is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

Mutation++ is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
[GNU Lesser General Public License](https://www.gnu.org/licenses/lgpl.html)
for more details.

@section developers Developers

Mutation++ was originally developed by __J.B. Scoggins__ at the 
[von Karman Institute for Fluid Dynamics](https://www.vki.ac.be) and based on its Fortran
predecessor called %Mutation which was developed by [Thierry Magin](https://www.vki.ac.be/aerospacephys).  Mutation++
is continually improved and extended and currently includes contributions from the following
individuals:
- J.B. Scoggins _creator and main developer_
- Laurent Soucasse
- Georgios Bellas-Chatzigeordis
- Aurelie Bellemans
- Pierre Schrooyen
- Alessandro Turchi
- Andrea Lani

*/
