set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "T (K)"
set key inside
set autoscale x
set autoscale y
set output 'PATO_Energy_TestCase_2.2.pdf'
set title "Ablation test case #2.2 (PATO type 2 vs. Amaryllis) \n Thermocouple data"
plot \
"../output/thermocouple"  using 1:2 with lines lw 3 title 'PATO: Tw, x=x_w(t)' ,\
"../output/thermocouple"  using 1:($3>0.1 ? $3 : 1/0) with lines lw 3 title 'x=1 mm',\
"../output/thermocouple"  using 1:($4>0.1 ? $4 : 1/0) with lines lw 3  title 'x=2 mm',\
"../output/thermocouple"  using 1:($5>0.1 ? $5 : 1/0) with lines lw 3  title 'x=4 mm',\
"../output/thermocouple"  using 1:($6>0.1 ? $6 : 1/0) with lines lw 3  title 'x=8 mm',\
"../output/thermocouple"  using 1:($7>0.1 ? $7 : 1/0) with lines lw 3  title 'x=12 mm',\
"../output/thermocouple"  using 1:($8>0.1 ? $8 : 1/0) with lines lw 3  title 'x=16 mm',\
"../output/thermocouple"  using 1:($9>0.1 ? $9 : 1/0) with lines lw 3  title 'x=24 mm',\
"../output/thermocouple"  using 1:($10>0.1 ? $10 : 1/0) with lines lw 3  title 'Tb, x=x_b=50 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:2 every 10 with points lt rgb 'grey20' lw 1 pt 8 title 'Amaryllis: Tw, x=x_w(t)' ,\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($3>1 ? $3 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 6  title 'x=1 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($4>1 ? $4 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 4  title 'x=2 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($5>1 ? $5 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 10  title 'x=4 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($6>1 ? $6 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 12  title 'x=8 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($7>1 ? $7 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 2  title 'x=12 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($8>1 ? $8 : 1/0) every 10 with points lt rgb 'grey20' lw 1 pt 14  title 'x=16 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($9>1 ? $9 : 1/0) every 20 with points lt rgb 'grey20' lw 1 pt 18  title 'x=24 mm',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_2.2.txt"  using 1:($10>1 ? $10 : 1/0) every 20 with points lt rgb 'grey20' lw 1 pt 16  title 'Tb, x=x_b=50 mm'
