set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "p (Pa)"
set key inside
set autoscale x
set autoscale y
set output 'PATO_Pressure_TestCase_3.1.pdf'
set title "Ablation test case #3.1 (PATO with type 2 vs. Amaryllis) \n Pressure probes"
plot \
"../output/surface_field_1"  using 1:($2>1 ? $2 : 1/0) with lines lw 2 title 'PATO: Stag. pt' ,\
"../output/plot_field_1"  using 1:($2>1 ? $2 : 1/0) with lines lw 2 title 'TC 1',\
"../output/plot_field_1"  using 1:($3>1 ? $3 : 1/0) with lines lw 2 title 'TC 2',\
"../output/plot_field_1"  using 1:($4>1 ? $4 : 1/0) with lines lw 2 title 'TC 3',\
"../output/plot_field_1"  using 1:($5>1 ? $5 : 1/0) with lines lw 2 title 'TC 4',\
"../output/plot_field_1"  using 1:($6>1 ? $6 : 1/0) with lines lw 2 title 'TC 5',\
"../output/plot_field_1"  using 1:($7>1 ? $7 : 1/0) with lines lw 2 title 'TC 6',\
"../output/plot_field_1"  using 1:($8>1 ? $8 : 1/0) with lines lw 2 title 'TC 7',\
"../output/plot_field_1"  using 1:($9>1 ? $9 : 1/0) with lines lw 2 title 'TC 8',\
"../output/plot_field_1"  using 1:($10>1 ? $10 : 1/0) with lines lw 2 title 'TC 9',\
"../output/plot_field_1"  using 1:($11>1 ? $11 : 1/0) with lines lw 2 title 'TC 10',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:2 every 20 with points  lt rgb 'grey20' lw 1 title 'Amaryllis: Stag. pt',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:3 every 20 with points lt rgb 'grey20' lw 1 title 'TC1',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:4 every 20 with points lt rgb 'grey20' lw 1 title 'TC2',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:5 every 20 with points lt rgb 'grey20' lw 1 title 'TC3',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:6 every 20 with points lt rgb 'grey20' lw 1 title 'TC4',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:7 every 20 with points lt rgb 'grey20' lw 1 title 'TC5',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:8 every 20 with points lt rgb 'grey20' lw 1 title 'TC6',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:9 every 20 with points lt rgb 'grey20' lw 1 title 'TC7',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:10 every 20 with points lt rgb 'grey20' lw 1 title 'TC8',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:11 every 20 with points lt rgb 'grey20' lw 1 title 'TC9',\
"ref/Amaryllis/Amaryllis_Pressure_TestCase_3.1.txt"  using 1:12 every 20 with points lt rgb 'grey20' lw 1 title 'TC10'
