set terminal pdf enhanced size 8,5
set xlabel "t (s)"
set ylabel "T (K)"
set key inside
set autoscale x
set autoscale y
set output 'PATO_Energy_TestCase_3.1-centerline.pdf'
set title "Ablation test case #3.1 : PATO type 2, Amaryllis, CHAR \n Center line thermocouples"
plot \
"../output/surface_field_0"  using 1:($2>1 ? $2 : 1/0) with lines lw 3 title 'PATO : stag. pt' ,\
"../output/plot_field_0"  using 1:($2>1 ? $2 : 1/0) with lines lw 3 title 'TC 1',\
"../output/plot_field_0"  using 1:($3>1 ? $3 : 1/0) with lines lw 4 title 'TC 2',\
"../output/plot_field_0"  using 1:($4>1 ? $4 : 1/0) with lines lw 3 title 'TC 3',\
"../output/plot_field_0"  using 1:($5>1 ? $5 : 1/0) with lines lw 3 title 'TC 4',\
"../output/plot_field_0"  using 1:($6>1 ? $6 : 1/0) with lines lw 3 title 'TC 5',\
"../output/plot_field_0"  using 1:($7>1 ? $7 : 1/0) with lines lw 3 title 'TC 6',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:2 every 40 with points pt 2 lt rgb 'grey20' lw 1 title 'Amaryllis: stag. pt',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:3 every 40 with points pt 6 lt rgb 'grey20' lw 1 title 'TC1',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:4 every 40 with points pt 8 lt rgb 'grey20' lw 1 title 'TC2',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:5 every 40 with points pt 10 lt rgb 'grey20' lw 1 title 'TC3',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:6 every 40 with points pt 12 lt rgb 'grey20' lw 1 title 'TC4',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:7 every 40 with points pt 14 lt rgb 'grey20' lw 1 title 'TC5',\
"ref/Amaryllis/Amaryllis_Energy_TestCase_3.1.txt"  using 1:8 every 40 with points pt 4 lt rgb 'grey20' lw 1 title 'TC6',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:2 with lines lt rgb 'grey9' lw 2 title 'CHAR : solid lines ',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:4 with lines lt rgb 'grey9' lw 2 title '',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:6 with lines lt rgb 'grey9' lw 2 title '',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:8 with lines lt rgb 'grey9' lw 2 title '',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:10 with lines lt rgb 'grey9' lw 2 title '',\
"ref/CHAR/Char_TestCase_3.1.txt"  using 1:12 with lines lt rgb 'grey9' lw 3 title ''
